Ext.ns('Nexts.grid');

Nexts.grid.BooleanColumn = function(config) {
	this.renderer = this.renderer.createDelegate(this);
	Ext.apply(this, config);
};

Ext.apply(Nexts.grid.BooleanColumn.prototype, {
	fixed: true,
	
	align: 'center',
	
	width: 20,
	
	trueText: '\u25cb',
	
	falseText: '\u00d7',

	renderer: function(v, p, record) {
		if (p && this.rowspan) {
			p.cellAttr = 'rowspan="' + this.rowspan + '"';
		}

		return v ? this.trueText : this.falseText;
	}

});

